=== debian/control ===
Source: ros-iron-bondcpp
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-bond, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-smclib, uuid-dev, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-iron-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-bond, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-smclib, uuid-dev, ros-iron-ros-workspace
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.
